package com.example.myapplication.database.repository

import com.example.myapplication.database.entities.User
import com.example.myapplication.database.entities.UserProductCart
import com.example.myapplication.database.entities.UserWithCartProduct
import kotlinx.coroutines.flow.Flow

interface UserRepository {
    suspend fun getAll(): List<User>
    suspend fun getById(id: Int): User
    suspend fun getByAuth(login: String, password: String): User?
    suspend fun getUserProductCartById(id: Int): UserWithCartProduct
    suspend fun deleteCartProduct(userId: Int, productId: Int)
    suspend fun insert(user: User)
    suspend fun addProductCart(userItem: UserProductCart)
}